from collections import namedtuple

FakeHero = namedtuple("FakeHero", ["camp", "config_id", "runtime_id"])

FakeReq = namedtuple("FakeFrameState", ["sgame_id", "frame_no", "hero_list"])


hero_list_test_data = [
    FakeHero(camp=2, config_id=117, runtime_id=15),
    FakeHero(camp=2, config_id=111, runtime_id=14),
    FakeHero(camp=2, config_id=141, runtime_id=13),
]

req_pb_test_data = FakeReq(
    sgame_id="127.0.0.1_21128_0_20221124022438_3001",
    frame_no=3,
    hero_list=hero_list_test_data,
)


FakeFeature = namedtuple("FakeFeature", ["camp_id", "hero_runtime_id"])

features_test_data = [
    FakeFeature(camp_id=2, hero_runtime_id=13),
    FakeFeature(camp_id=2, hero_runtime_id=14),
    FakeFeature(camp_id=2, hero_runtime_id=15),
]

FakeProcessResult = namedtuple(
    "FakeProcessResult",
    ["final_prob_list", "actions", "legal_action", "sub_actions", "is_train"],
)

process_result_test_data = (
    FakeProcessResult(
        **{
            "legal_action": (
                (0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0),
                (
                    0.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                ),
                (
                    0.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                ),
                (
                    0.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                ),
                (
                    1.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                ),
            ),
            "sub_actions": (1.0, 1.0, 0.0, 0.0, 0.0),
            "actions": (2, 19, 11, 6, 0),
            "final_prob_list": (
                (
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    0.9998798370361328,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                ),
                (
                    6.600603796869109e-07,
                    0.0250569935888052,
                    0.03422459214925766,
                    0.02876855432987213,
                    0.035277459770441055,
                    0.026106011122465134,
                    0.03347441926598549,
                    0.04082531854510307,
                    0.03246161341667175,
                    0.040002401918172836,
                    0.03896345943212509,
                    0.03605811670422554,
                    0.03588573634624481,
                    0.04682329669594765,
                    0.051802393049001694,
                    0.04311878979206085,
                    0.05090666189789772,
                    0.06581230461597443,
                    0.057799406349658966,
                    0.06600670516490936,
                    0.052108924835920334,
                    0.04378725588321686,
                    0.04842991381883621,
                    0.03670397773385048,
                    0.02959495782852173,
                ),
                (
                    6.529982670144818e-07,
                    0.03787354379892349,
                    0.038268428295850754,
                    0.029831470921635628,
                    0.032267071306705475,
                    0.03869291767477989,
                    0.012715754099190235,
                    0.028435733169317245,
                    0.05142845958471298,
                    0.05310128256678581,
                    0.02861213870346546,
                    0.06530048698186874,
                    0.01520559098571539,
                    0.006175226531922817,
                    0.01055164448916912,
                    0.008860274218022823,
                    0.017616132274270058,
                    0.009793403558433056,
                    0.015468165278434753,
                    0.01640317589044571,
                    0.03161197155714035,
                    0.030251283198595047,
                    0.023776141926646233,
                    0.017208769917488098,
                    0.0185653455555439,
                    0.015242968685925007,
                    0.015086548402905464,
                    0.01830100454390049,
                    0.016870370134711266,
                    0.024592405185103416,
                    0.021140722557902336,
                    0.021707413718104362,
                    0.025363173335790634,
                    0.017201928421854973,
                    0.028153350576758385,
                    0.02640497498214245,
                    0.01786891557276249,
                    0.019356919452548027,
                    0.03339356556534767,
                    0.02240028977394104,
                    0.01994107849895954,
                    0.018959244713187218,
                ),
                (
                    5.266592211228271e-07,
                    0.025713594630360603,
                    0.04676692560315132,
                    0.04569116607308388,
                    0.026338618248701096,
                    0.0395238883793354,
                    0.052666451781988144,
                    0.019761797040700912,
                    0.02584940381348133,
                    0.027510233223438263,
                    0.020442424342036247,
                    0.02453109622001648,
                    0.008762503042817116,
                    0.009408253245055676,
                    0.011993711814284325,
                    0.010916016064584255,
                    0.014657610096037388,
                    0.02080129273235798,
                    0.028312191367149353,
                    0.025368785485625267,
                    0.03638262674212456,
                    0.03767269477248192,
                    0.02963852323591709,
                    0.021168451756238937,
                    0.016600539907813072,
                    0.015724191442131996,
                    0.01628890447318554,
                    0.01123031321913004,
                    0.010188892483711243,
                    0.008556060492992401,
                    0.008273426443338394,
                    0.04519825428724289,
                    0.0187937393784523,
                    0.022961342707276344,
                    0.02117173932492733,
                    0.03839102387428284,
                    0.019124232232570648,
                    0.034375354647636414,
                    0.03176533430814743,
                    0.026108084246516228,
                    0.02691582590341568,
                    0.018454069271683693,
                ),
                (
                    0.9996196031570435,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                ),
                (-2.032231092453003,),
            ),
            "is_train": True,
        }
    ),
    FakeProcessResult(
        **{
            "legal_action": (
                (0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0),
                (
                    0.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                ),
                (
                    0.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                ),
                (
                    0.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                ),
                (
                    1.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                ),
            ),
            "sub_actions": (1.0, 1.0, 0.0, 0.0, 0.0),
            "actions": (2, 17, 11, 6, 0),
            "final_prob_list": (
                (
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    0.9998798370361328,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                ),
                (
                    8.142866363414214e-07,
                    0.019586047157645226,
                    0.025448577478528023,
                    0.020549336448311806,
                    0.025347763672471046,
                    0.019569803029298782,
                    0.022957872599363327,
                    0.03547543287277222,
                    0.02702471613883972,
                    0.0370698980987072,
                    0.03993915021419525,
                    0.044621601700782776,
                    0.048804573714733124,
                    0.06297874450683594,
                    0.07303512841463089,
                    0.06056134030222893,
                    0.0668799877166748,
                    0.08142948150634766,
                    0.06340038031339645,
                    0.06243777647614479,
                    0.0410296656191349,
                    0.03308974206447601,
                    0.03688722848892212,
                    0.028041081503033638,
                    0.023833805695176125,
                ),
                (
                    6.529982670144818e-07,
                    0.03787354379892349,
                    0.038268428295850754,
                    0.029831470921635628,
                    0.032267071306705475,
                    0.03869291767477989,
                    0.012715754099190235,
                    0.028435733169317245,
                    0.05142845958471298,
                    0.05310128256678581,
                    0.02861213870346546,
                    0.06530048698186874,
                    0.01520559098571539,
                    0.006175226531922817,
                    0.01055164448916912,
                    0.008860274218022823,
                    0.017616132274270058,
                    0.009793403558433056,
                    0.015468165278434753,
                    0.01640317589044571,
                    0.03161197155714035,
                    0.030251283198595047,
                    0.023776141926646233,
                    0.017208769917488098,
                    0.0185653455555439,
                    0.015242968685925007,
                    0.015086548402905464,
                    0.01830100454390049,
                    0.016870370134711266,
                    0.024592405185103416,
                    0.021140722557902336,
                    0.021707413718104362,
                    0.025363173335790634,
                    0.017201928421854973,
                    0.028153350576758385,
                    0.02640497498214245,
                    0.01786891557276249,
                    0.019356919452548027,
                    0.03339356556534767,
                    0.02240028977394104,
                    0.01994107849895954,
                    0.018959244713187218,
                ),
                (
                    5.074446107755648e-07,
                    0.027447154745459557,
                    0.046601854264736176,
                    0.04541508108377457,
                    0.026776185259222984,
                    0.03928080201148987,
                    0.05074497312307358,
                    0.018936561420559883,
                    0.02494313009083271,
                    0.025949837639927864,
                    0.020820332691073418,
                    0.023803940042853355,
                    0.008979462087154388,
                    0.009689976461231709,
                    0.012390205636620522,
                    0.011321187019348145,
                    0.015658745542168617,
                    0.021970517933368683,
                    0.02982713095843792,
                    0.026482876390218735,
                    0.03824037313461304,
                    0.03944171220064163,
                    0.02993467077612877,
                    0.021283090114593506,
                    0.016465261578559875,
                    0.015733830630779266,
                    0.0164558794349432,
                    0.011308900080621243,
                    0.010328603908419609,
                    0.008511596359312534,
                    0.008179116062819958,
                    0.04253928363323212,
                    0.01918993517756462,
                    0.022742966189980507,
                    0.021768789738416672,
                    0.03725486621260643,
                    0.01804155856370926,
                    0.03277871012687683,
                    0.031140735372900963,
                    0.026074860244989395,
                    0.027825912460684776,
                    0.017718859016895294,
                ),
                (
                    0.9996196031570435,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                ),
                (-2.0873100757598877,),
            ),
            "is_train": True,
        }
    ),
    FakeProcessResult(
        **{
            "legal_action": (
                (0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0),
                (
                    0.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                ),
                (
                    0.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                ),
                (
                    0.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                    1.0,
                ),
                (
                    1.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                    0.0,
                ),
            ),
            "sub_actions": (1.0, 1.0, 0.0, 0.0, 0.0),
            "actions": (2, 19, 11, 6, 0),
            "final_prob_list": (
                (
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    0.9998798370361328,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                    9.998698260460515e-06,
                ),
                (
                    6.621501142944908e-07,
                    0.02843562699854374,
                    0.04011401906609535,
                    0.03460633009672165,
                    0.04227440431714058,
                    0.030438484624028206,
                    0.04133983701467514,
                    0.04326479509472847,
                    0.03536760061979294,
                    0.04066577926278114,
                    0.03710896521806717,
                    0.03040454536676407,
                    0.0284676905721426,
                    0.03741102293133736,
                    0.04014819860458374,
                    0.033500541001558304,
                    0.04129651188850403,
                    0.05549904331564903,
                    0.052688878029584885,
                    0.06621567904949188,
                    0.05885673314332962,
                    0.050788603723049164,
                    0.055888582020998,
                    0.04227367788553238,
                    0.03294378146529198,
                ),
                (
                    6.529982670144818e-07,
                    0.03787354379892349,
                    0.038268428295850754,
                    0.029831470921635628,
                    0.032267071306705475,
                    0.03869291767477989,
                    0.012715754099190235,
                    0.028435733169317245,
                    0.05142845958471298,
                    0.05310128256678581,
                    0.02861213870346546,
                    0.06530048698186874,
                    0.01520559098571539,
                    0.006175226531922817,
                    0.01055164448916912,
                    0.008860274218022823,
                    0.017616132274270058,
                    0.009793403558433056,
                    0.015468165278434753,
                    0.01640317589044571,
                    0.03161197155714035,
                    0.030251283198595047,
                    0.023776141926646233,
                    0.017208769917488098,
                    0.0185653455555439,
                    0.015242968685925007,
                    0.015086548402905464,
                    0.01830100454390049,
                    0.016870370134711266,
                    0.024592405185103416,
                    0.021140722557902336,
                    0.021707413718104362,
                    0.025363173335790634,
                    0.017201928421854973,
                    0.028153350576758385,
                    0.02640497498214245,
                    0.01786891557276249,
                    0.019356919452548027,
                    0.03339356556534767,
                    0.02240028977394104,
                    0.01994107849895954,
                    0.018959244713187218,
                ),
                (
                    5.074446107755648e-07,
                    0.027447154745459557,
                    0.046601854264736176,
                    0.04541508108377457,
                    0.026776185259222984,
                    0.03928080201148987,
                    0.05074497312307358,
                    0.018936561420559883,
                    0.02494313009083271,
                    0.025949837639927864,
                    0.020820332691073418,
                    0.023803940042853355,
                    0.008979462087154388,
                    0.009689976461231709,
                    0.012390205636620522,
                    0.011321187019348145,
                    0.015658745542168617,
                    0.021970517933368683,
                    0.02982713095843792,
                    0.026482876390218735,
                    0.03824037313461304,
                    0.03944171220064163,
                    0.02993467077612877,
                    0.021283090114593506,
                    0.016465261578559875,
                    0.015733830630779266,
                    0.0164558794349432,
                    0.011308900080621243,
                    0.010328603908419609,
                    0.008511596359312534,
                    0.008179116062819958,
                    0.04253928363323212,
                    0.01918993517756462,
                    0.022742966189980507,
                    0.021768789738416672,
                    0.03725486621260643,
                    0.01804155856370926,
                    0.03277871012687683,
                    0.031140735372900963,
                    0.026074860244989395,
                    0.027825912460684776,
                    0.017718859016895294,
                ),
                (
                    0.9996196031570435,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                    9.996096196118742e-06,
                ),
                (-2.297107458114624,),
            ),
            "is_train": True,
        }
    ),
)
